Subject: bug#61412: Inlay activation

From: Chinmay Dalal <[email-masked]>
Date: Thu, 16 Feb 2023 01:47:24 +0530

On 16 February 2023 1:11:23 am IST, Eli Zaretskii <[email-masked]> wrote:
>> From: Chinmay Dalal <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Thu, 16 Feb 2023 00:18:41 +0530
>> 
>> > Not only can we not do this, it is also not our style.  If we want to
>> > show hints, we either show tooltips, or display a message in the echo
>> > area.
>> 
>> Tooltips and echo area can't be used as inlay hints are for showing
>> types of multiple variables/expressions and names of parameters at once.
>> 
>> See the attached screenshots for an example (this is from my
>> implementation in this patch)
>
>I'm not surer I understand what you are showing here (so feel free to
>say a few more words), but if I should guess, I'd say use overlay
>strings.

Yes, I am using overlay strings

Apologies if the formatting is messed up, I sent this from my phone